Package org.h2.jdbcx

# Class JdbcDataSourceFactory

java.lang.Object
org.h2.jdbcx.JdbcDataSourceFactory

All Implemented Interfaces:
  `ObjectFactory`

public final class JdbcDataSourceFactory extends Object implements ObjectFactory
This class is used to create new DataSource objects. An application should not use this class directly.

## Constructor Summary

Constructors
Constructor
Description
`JdbcDataSourceFactory()`
The public constructor to create new factory objects.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)`
Creates a new object using the specified location or reference information.
`static TraceSystem`
`getTraceSystem()`
INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JdbcDataSourceFactory

public JdbcDataSourceFactory()
The public constructor to create new factory objects.

## Method Details

### getObjectInstance

public Object getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)
Creates a new object using the specified location or reference information.

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Parameters:
  `obj` - the reference (this factory only supports objects of type javax.naming.Reference)
  `name` - unused
  `nameCtx` - unused
  `environment` - unused
Returns:
  the new JdbcDataSource, or null if the reference class name is not JdbcDataSource.

### getTraceSystem

public static TraceSystem getTraceSystem()
INTERNAL

Returns:
  TraceSystem